Bug 158037 - Remember CI location for Maven project when creating job
Remember CI location for Maven project when creating job
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 18:19 UTC by Jesse Glick
Modified: 2009-04-05 18:13 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-02-05 18:19:13 UTC
If you create a Hudson job for a random Maven project, the CI information should be recorded in the POM for the benefit
of other developers.
Comment 1 Milos Kleint 2009-03-23 18:25:48 UTC
please use 
org.netbeans.modules.maven.model.Utilities#performPOMModelOperations() from maven.model
and the associated XAM model for editing of pom file.

Comment 2 Jesse Glick 2009-03-27 03:35:54 UTC
Implemented. I got some exception (tracked by exception reporter) after making such an association and then trying to
customize the Maven project from the Properties dialog, might be a refresh bug in the maven module.

cdev #7a5bd3238e9a
Comment 3 Quality Engineering 2009-03-28 20:47:17 UTC
Integrated into 'main-golden', will be available in build *200903281400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7a5bd3238e9a
User: Jesse Glick <jglick@netbeans.org>
Log: #158037: persist CI location in POM's <ciManagement> section after creating a job.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo